/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;

/**
 *
 * @author developer2
 */
@Embeddable
public class TgenecatalogdetailPK implements Serializable {

    @Basic(optional = false)
    @Column(name = "CATALOG")
    private String catalog;
    @Basic(optional = false)
    @Column(name = "CATALOGCODE")
    private String catalogcode;

    public TgenecatalogdetailPK() {
    }

    public TgenecatalogdetailPK(String catalog, String catalogcode) {
        this.catalog = catalog;
        this.catalogcode = catalogcode;
    }

    public String getCatalog() {
        return catalog;
    }

    public void setCatalog(String catalog) {
        this.catalog = catalog;
    }

    public String getCatalogcode() {
        return catalogcode;
    }

    public void setCatalogcode(String catalogcode) {
        this.catalogcode = catalogcode;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (catalog != null ? catalog.hashCode() : 0);
        hash += (catalogcode != null ? catalogcode.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TgenecatalogdetailPK)) {
            return false;
        }
        TgenecatalogdetailPK other = (TgenecatalogdetailPK) object;
        if ((this.catalog == null && other.catalog != null) || (this.catalog != null && !this.catalog.equals(other.catalog))) {
            return false;
        }
        if ((this.catalogcode == null && other.catalogcode != null) || (this.catalogcode != null && !this.catalogcode.equals(other.catalogcode))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.TgenecatalogdetailPK[ catalog=" + catalog + ", catalogcode=" + catalogcode + " ]";
    }
    
}
